Page MenuHomeFreeBSD

audio/cuetools: update to 1.4.1
ClosedPublic

Authored by novel on Dec 24 2017, 10:17 AM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Jun 7, 4:58 AM
Unknown Object (File)
May 8 2024, 1:29 AM
Unknown Object (File)
May 7 2024, 10:47 AM
Unknown Object (File)
May 6 2024, 4:08 PM
Unknown Object (File)
May 1 2024, 6:08 PM
Unknown Object (File)
Apr 26 2024, 11:21 PM
Unknown Object (File)
Apr 25 2024, 8:32 PM
Unknown Object (File)
Apr 23 2024, 12:42 AM
Subscribers

Details

Reviewers
None
Group Reviewers
Ports Committers
Commits
rP460181: audio/cuetools: update to 1.4.1
Summary
  • update to 1.4.1;
  • project has moved to github, so use USE_GITHUB and update WWW;
  • remove EXAMPLES option and install cuetag.sh unconditionally;
  • take maintainership.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

jrm added inline comments.
Makefile
5 ↗(On Diff #36962)

The PH suggests DISTVERSION

15 ↗(On Diff #36962)

Should GNU_CONFIGURE=yes be inserted in the USES and USE_x block?

Makefile
15 ↗(On Diff #36962)

Do you mean I should not use GNU_CONFIGURE at all, or that I should define it in some other place?

I kept GNU_CONFIGURE because USES= autoreconf doesn't enable it automatically (not sure what are the reasons why it doesn't btw), and I placed it after USES because here USES and GNU_CONFIGURE are about building and USE_GITHUB and GH_ACCOUNT later are about fetching. I can group it some other way though.

Makefile
15 ↗(On Diff #36962)

I was just wondering about the order. @mat probably wrote all or most of the 'Order of Variables in Port Makefiles'. Maybe he will chime in.

Makefile
15 ↗(On Diff #36962)

Mmmm, yes, it can go in this block, or in the next, I do not have strong feelings for GNU_CONFIGURE and HAS_CONFIGURE.

novel marked an inline comment as done.
novel added inline comments.
Makefile
15 ↗(On Diff #36962)

Thanks, I'll leave it as is then.

This revision was not accepted when it landed; it landed in state Needs Review.Jan 28 2018, 1:38 PM
This revision was automatically updated to reflect the committed changes.